<bugID>415389<Summary>All tags removed when moving a bookmark in the Bookmarks folder structure (cut &amp; paste)</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b3pre) Gecko/2008020204 Minefield/3.0b3pre
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b3pre) Gecko/2008020204 Minefield/3.0b3pre

All tags associated with a bookmark are removed when moving an item from the root of the Bookmarks Menu folder to another folder.

Reproducible: Always

Steps to Reproduce:
1. Create a bookmark in the Bookmark Menu folder
2. Add some tags to the bookmark
3. Create another folder within the Bookmark Menu folder
4. Move the bookmark to the folder which was just created.
Actual Results:  
Bookmark is moved without the given tags

Expected Results:  
Bookmark is moved with the given tags

Experienced this issue when moving items using Cut and Paste. Not sure if this happens in other situations (Drag and drop doesn't seem to work in this build aswell)</Description></bugID>